
Base Distribution - Story # 7920

Status: Resolved Priority: Should have
Author: Daniel Poetzinger Category:
Created: 2010-05-26 Assigned To: Christopher Hlubek
Updated: 2011-05-05 Due date:
Subject: As an Editor I want to edit page properties of current page.
Description

- After a Login I want to click on "edit" > "Page properties" and a form which allows me to edit pageproperties should be loaded. At
least this fields:
(The fields that are avaiable for rendering should be configurable (TCA like)) 

- Pagetitle (&lt;title&gt; tag)
   - Navigationtitle (Used in menues)
   - Pathsegment?
   - hidden

- After saving the changes the page should reload and the changes should take effect

Related issues:
related to TYPO3.Neos - Task # 8059: Create a JSON view. Resolved
related to TYPO3.Neos - Task # 8642: Submit changed page title on <Enter> Resolved 2010-07-04 2010-07-07

History
#1 - 2010-05-26 16:52 - Daniel Poetzinger
- Subject changed from As a Editor I want to edit page properties of current page. to As an Editor I want to edit page properties of current page.

#2 - 2010-05-28 15:24 - Karsten Dambekalns
- Project changed from 1204 to Core Team

#3 - 2010-05-28 15:25 - Karsten Dambekalns
- Target version set to 550

#4 - 2010-05-28 15:27 - Karsten Dambekalns
- Status changed from New to Accepted

#5 - 2010-06-08 12:46 - Christopher Hlubek
- Assigned To set to Christopher Hlubek

#6 - 2010-06-11 00:02 - Christopher Hlubek
- % Done changed from 0 to 70

Page property editing works. We need some way of configuring the fields in the backend.

Do we have the fields for navigationtitle and pathsegment yet?

#7 - 2010-06-11 00:50 - Nils Dehl

added reload of the frontend editor iframe after pageproperty button click. 
reorganized the js class and added doc comments.
#8 - 2010-07-03 21:20 - Robert Lemke
- % Done changed from 70 to 100

#9 - 2010-07-03 21:21 - Robert Lemke
- Status changed from Accepted to Resolved

#10 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (550)
